Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event
Class JRexEvent

    java.lang.Object
      org.mozilla.jrex.event.JRexEvent

public class JRexEvent
extends Object

A class representing JRex Event.

Version:
  1.0
Author:
  C.N.Medappa

Constructor Summary
`protected` | `JRexEvent(int type, Object eventData, long when, Object notifier)` Constructs an JRexEvent object with the specified event data , type,when.

Method Summary
`static JRexEvent` | `createEvent(int type, Object eventData, long when)` Factory method to create a jrex event.
`static JRexEvent` | `createSyncEvent(int type, Object eventData, long when, Object notifier)` Factory method to create a synchronized jrex event.
`Object` | `getData()` Returns the data assoicated with the event.
`Object` | `getNotifier()` Returns the notifier associated with the event.
`int` | `getType()` Returns the type of the event.
`long` | `getWhen()` Returns the timestamp of when this event occurred.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JRexEvent

    protected JRexEvent(int type,
                        Object eventData,
                        long when,
                        Object notifier)

  Constructs an JRexEvent object with the specified event data , type,when.

Parameters:
  `type` - the event type
  `eventData` - the event related data.
  `when` - the time the event occurred
  `notifier` - the Object whose `notifyAll` method will be called after event is process.

Method Detail

### createEvent

    public static JRexEvent createEvent(int type,
                                        Object eventData,
                                        long when)

  Factory method to create a jrex event.

### createSyncEvent

    public static JRexEvent createSyncEvent(int type,
                                            Object eventData,
                                            long when,
                                            Object notifier)

  Factory method to create a synchronized jrex event.

### getType

    public int getType()

  Returns the type of the event.

### getData

    public Object getData()

  Returns the data assoicated with the event.

### getWhen

    public long getWhen()

  Returns the timestamp of when this event occurred.

### getNotifier

    public Object getNotifier()

  Returns the notifier associated with the event.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.